/*BEGIN CMVC */
//*************************************************************************
//
//  Workfile: %W%
//  Last update: %E% %U%
//  SCCS path, id: %F% %I%
//
//************************************************************************/
/*END CMVC */
/*BEGIN COPYRIGHT */
//*************************************************************************
//
//  Licensed Materials - Property of IBM
//  WA82 SupportPac
//  (c) Copyright IBM Corp. 2001, 2002, 2003
//  US Government Users Restricted Rights - Use, duplication or
//  disclosure restricted by GSA ADP Schedule Contract
//  with IBM Corp.
//
//************************************************************************/
/*END COPYRIGHT */
/*BEGIN DISCLAIMER */
//*************************************************************************
//  DISCLAIMER
//  ----------
//  This material contains programming source code for your consideration.
//  These examples have not been thoroughly tested under all conditions.
//  IBM, therefore, cannot guarantee or imply reliability, serviceability,
//  or function of these programs.
//  ALL PROGRAMS CONTAINED HEREIN ARE PROVIDED TO YOU "AS IS", WITHOUT ANY
//  WARRANTIES (EXPRESS OR IMPLIED) OR SUPPORT WHATSOEVER, INCLUDING BUT
//  NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS
//  FOR A PARTICULAR PURPOSE.
//************************************************************************/
/*END DISCLAIMER */

package com.ibm.workflow.sample.upes;

public class UPESBaseAdapter extends UPESBaseSAX
{
  public UPESBaseAdapter(  String inQueueManagerName, String inQueueName,
                           String mqHostname, String mqPort, String mqChannel )
  {
    super( inQueueManagerName, inQueueName,
           mqHostname, mqPort, mqChannel );
  }

  // processSyncActivityInvokeMessage Callback function.
  // Has to be implemented because abstract in base class.
  // No processing is done in this adapter.
  // --------------------------------------------------------------------
  public String processSyncActivityInvokeMessage( )
  {
    return "";
  }

  // processAsyncActivityInvokeMessage Callback function.
  // Has to be implemented because abstract in base class.
  // No processing is done in the adapter.
  // --------------------------------------------------------------------
  public void processAsyncActivityInvokeMessage( )
  {
  }

  // processActivityExpiredMessage Callback function.
  // Has to be implemented because abstract in base class.
  // No processing is done in this adapter.
  // --------------------------------------------------------------------
  public void processActivityExpiredMessage( )
  {
  }

  // processActivityTerminatedMessage Callback function.
  // Has to be implemented because abstract in base class.
  // No processing is done in this adapter.
  // --------------------------------------------------------------------
  public void processActivityTerminatedMessage( )
  {
  }

  // processAuditEventMessage Callback function. Has to be implemented
  // because abstract in base class.
  // No processing is done in this adapter.
  // --------------------------------------------------------------------
  public void processAuditEventMessage( )
  {
  }

  // returnCode Callback function. Has to be implemented
  // because abstract in base class.
  // No processing is done in this adapter and 0 is returned.
  // --------------------------------------------------------------------
  public int returnCode( )
  {
    return 0;
  }
}
