<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- BEGIN CMVC                                                              -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Workfile: %W%                                                         -->
<!--   Last update: %E% %U%                                                  -->
<!--   SCCS path, id: %F% %I%                                                -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END CMVC                                                                -->
<!-- BEGIN COPYRIGHT                                                         -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--   Licensed Materials - Property of IBM                                  -->
<!--   WA82 SupportPac                                                       -->
<!--   (c) Copyright IBM Corp. 2000, 2001, 2002, 2003                        -->
<!--   US Government Users Restricted Rights - Use, duplication or           -->
<!--   disclosure restricted by GSA ADP Schedule Contract                    -->
<!--   with IBM Corp.                                                        -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END COPYRIGHT                                                           -->
<!-- BEGIN DISCLAIMER                                                        -->
<!-- *********************************************************************** -->
<!--                                                                         -->
<!--  DISCLAIMER                                                             -->
<!--  ----------                                                             -->
<!--  This material contains programming source code for your consideration. -->
<!--  These examples have not been thoroughly tested under all conditions.   -->
<!--  IBM, therefore, cannot guarantee or imply reliability, serviceability, -->
<!--  or function of these programs.  All programs contained herein are      -->
<!--  provided to you "AS IS".  THE IMPLIED WARRANTIES OF MERCHANTABILITY    -->
<!--  AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY DISCLAIMED.         -->
<!--                                                                         -->
<!-- *********************************************************************** -->
<!-- END DISCLAIMER                                                          -->

<%@ page language="java" info="WebCredit Request - Assess Credit Risk" %>
<%@ page errorPage="ViewError.jsp" %>
<%@ page import="com.ibm.workflow.api.*" %>
<%@ page import="com.ibm.workflow.api.ItemPackage.*" %>
<%@ page import="com.ibm.workflow.servlet.client.*" %>
<%@ page import="java.sql.*" %>
<jsp:useBean id="context" scope="request"
             type="com.ibm.workflow.servlet.client.RequestContext"/>

<%! public String getField( ResultSet resultSet, String columnName )
    {
      try {
        return resultSet.getString( columnName );
      }
      catch( Exception xcpt ) { }
      return "";
    }

    public double getFieldDouble( ResultSet resultSet, String columnName )
    {
      try {
        return resultSet.getDouble( columnName );
      }
      catch( Exception xcpt ) { }
      return 0.0;
    }
%>

<%
  WorkItem           workItem    = context.getWorkItem( );
  ReadOnlyContainer  input       = context.getContainer( );
  long               customerID  = 0;
  long               loanID      = 0;
  Connection         connection;
  PreparedStatement  queryCustomerStatement;
  PreparedStatement  queryLoanStatement;
  PreparedStatement  queryLoansStatement;
  ResultSet          customerResultSet = null;
  ResultSet          loanResultSet     = null;
  ResultSet          loansResultSet    = null;

  try {
    customerID = input.getLong( "CustomerID" );
    loanID     = input.getLong( "LoanID"     );
  } catch( FmcException xcpt ) { out.println( xcpt.toString( ) ); }
    try {
      Class.forName( "COM.ibm.db2.jdbc.app.DB2Driver" );
      connection = DriverManager.getConnection( "jdbc:db2:CUSTOMER" );
      queryCustomerStatement = connection.prepareStatement( "SELECT * FROM CUSTOMER.CUSTOMER_DATA " +
                                                            "WHERE CUSTOMER_ID=?" );
      queryLoanStatement = connection.prepareStatement( "SELECT * FROM CUSTOMER.LOANS " +
                                                        "WHERE LOAN_ID=?" );
      queryLoansStatement = connection.prepareStatement( "SELECT * FROM CUSTOMER.LOANS " +
                                                         "WHERE CUSTOMER_ID=? AND LOAN_ID<>?" );
      queryCustomerStatement.setLong( 1, customerID );
      customerResultSet = queryCustomerStatement.executeQuery( );
      customerResultSet.next( ); // Move to first record.

      queryLoanStatement.setLong( 1, loanID );
      loanResultSet = queryLoanStatement.executeQuery( );
      loanResultSet.next( ); // Move to first record;

      queryLoansStatement.setLong( 1, customerID );
      queryLoansStatement.setLong( 2, loanID     );
      loansResultSet = queryLoansStatement.executeQuery( );
    }
    catch( Exception xcpt ) { out.print( xcpt.toString( ) ); }
  try {
%>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html">
<title>Web Credit Request - Assess Credit Risk</title>
</head>

<body>
<table border="0" width="100%">
  <tr>
    <td valign="top"><img border="0" src="<%=context.getURL("{_HTMLDir_}/starter/images/PoweredByWebSphere.jpg" ) %>" alt="Powered by WebSphere" width="167" height="510"></td>
    <td valign="top">
      <h1>Assess Credit Risk</h1>
      <p><b>Review the current loans and assess the risk of this new credit request
      as low, medium or high.</b></p>
      <%=context.openForm("checkInWorkItem", workItem.persistentOid())%>
        <table border="0" cellspacing="1" width="100%">
          <tr>
            <td><b>Customer ID</b></td>
            <td><%=customerID%></td>
            <td><b>Loan ID</b></td>
            <td><%=loanID%></td>
          </tr>
          <tr>
            <td><b>Customer Name</b></td>
            <td><%=getField( customerResultSet, "FIRSTNAME" )%> <%=getField( customerResultSet,
              "LASTNAME" )%></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <th colspan="4">
              <hr>
            </th>
          </tr>
          <tr>
            <th colspan="4" height="40"><font color="#008000">Credit Data</font></th>
          </tr>
          <tr>
            <td><b>Loan amount</b></td>
            <td><%=getFieldDouble( loanResultSet, "AMOUNT" )%></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td><b>Reason for this credit</b></td>
            <td colspan="3"><%=getField( loanResultSet, "REASON" )%></td>
          </tr>
          <tr>
            <td colspan="4">
              <hr>
            </td>
          </tr>
          <tr>
            <th colspan="4" height="40"><font color="#008000">Credit History</font></th>
          </tr>
          <tr>
            <th>Date</th>
            <th>Credit Amount</th>
            <th>Credit Reason</th>
            <th>Status</th>
          </tr>
<% while( loansResultSet.next( ) ) {

%>
          <tr>
            <td><%=getField( loansResultSet, "DATE" )%></td>
            <td><%=getFieldDouble( loansResultSet, "AMOUNT" )%></td>
            <td><%=getField( loansResultSet, "REASON" )%></td>
            <td><%=getField( loansResultSet, "STATUS" )%></td>
          </tr>
<%
} // while
%>
          <tr>
            <td colspan="4">
              <hr>
            </td>
          </tr>
        </table>

        <table border="0">
          <tr>
            <td><font color="#FF0000"><b>Credit Risk</b></font></td>
            <td><input type="radio" value="L" checked name="Risk">Low</td>
            <td><input type="radio" name="Risk" value="M">Medium</td>
            <td><input type="radio" name="Risk" value="H">High</td>
          </tr>
        </table>
        <p>
        <input type="submit" name="submitData" value="Complete Work Item">
        <input type="button" name="cancel" value="Cancel" onClick="javascript:location.replace('<%=context.getCommand("cancelWorkItem", workItem.persistentOid())%>')">
        </p>
      </form>
    </td>
  </tr>
</table>

<% } // try
   catch( Exception xcpt ) { out.print( xcpt.toString( ) ); };
%>

</body>

</html>
